
TYPO3.Flow - Feature # 6177

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-01-22 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement CRUD hooks in persistence
Description

We need some hooks to react on persistence events, e.g. to remove a resource file if the related value object is eventually deleted.

Associated revisions
Revision b3a62e78 - 2010-01-27 18:32 - Karsten Dambekalns

[~TASK] FLOW3 (Core): When setting up signal/slot wiring do not rely on the YAML parser returning true booleans in the specific case at hand.
[~TASK] FLOW3 (Monitor): Renamed $signalSlotDispatcher to $signalDispatcher like in other classes.
[+FEATURE] FLOW3 (Persistence): added signals when persisting new and updated objects and when removing objects, resolves #6177.
[~TASK] FLOW3 (Resource): Moved some work from the ResourceObjectConverter to the ResourceManager when importing uploaded files.
[+API] FLOW3 (Resource): added deleteResource() to ResourceManager to remove persisted resources.

History
#1 - 2010-01-25 14:17 - Karsten Dambekalns
- Start date changed from 2010-01-22 to 2010-01-25

#2 - 2010-01-27 19:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3769.
